#
# spec file for package museic
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid com.github.bcedu.museic
Name:           museic
Version:        2.1.3
Release:        2.4
Summary:        Audio player with remote control
License:        GPL-3.0-only
URL:            https://github.com/bcedu/MuseIC
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  vala
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(granite) >= 0.5
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)

%description
MuseIC is a fast and simple music player with remote control from any
device through internet browser.

%prep
%autosetup -n MuseIC-%{version}

%build
%cmake \
    -DGSETTINGS_COMPILE=ON
%make_build

%install
%cmake_install
#fix upstream
rm %{buildroot}%{_datadir}/icons/hicolor/%{appid}.svg
%fdupes %{buildroot}

%files
%license LICENSE
%doc AUTHORS README.md
%{_bindir}/%{appid}
%{_datadir}/applications/%{appid}.desktop
%{_datadir}/%{appid}
%{_datadir}/glib-2.0/schemas/%{appid}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{appid}.svg
%{_datadir}/metainfo/%{appid}.appdata.xml

%changelog
* Mon Nov  4 2024 Richard Rahl <rrahl0@opensuse.org>
- remove %%suse_update_desktop_file, as it's deprecated
- use autosetup
- be more specific in the files section
* Mon Nov  4 2024 Matej Cepl <mcepl@cepl.eu>
- Remove elementary-cmake-modules BR, it seems unnecessary.
* Mon Oct  1 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.1.3:
  * Update README.md
  * Update screenshots
* Mon Sep 24 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 2.1.0:
  * Fix: add show_all to childs of pophover
  * Update version
  * Use "popup" in Popovers
  * Addapt CSS to use Element Selectors
* Tue Aug 14 2018 avvissu@yandex.by
- Update to 2.0.2:
  * Change screenshots and version
  * Add more help
  * Avoid ports below 1024
  * Allow server customize port
  * Server uses configured ports
  * Basic dummy conf menu
  * Use granite seekbar as streambar
  * revert changes of config.vala file
  * design changes
- Remove obsolete macros
- Build with granite >= 0.5
* Sat Jun 23 2018 avvissu@yandex.by
- Update to 2.0.1:
  * Fix screenshoots and appdata
* Mon May 21 2018 avvissu@yandex.by
- Change the SourceURL
* Mon May 14 2018 avvissu@yandex.by
- Update to 2.0.0:
  * Update screenshots path
  * Update appdata
  * Allow delete files from filelist
  * Delete files from filelist
  * Fix metedata update
  * Update doc
  * Change library info of files
  * Add button and windows to edit metadatas
  * TreeViews not searchable
  * Control ant/next file from keyboard
  * Don't use duration metadata
  * Fix: get duration instead of artist in searched filles
  * Clean artist name
  * Show artisi filelist onclick current artist
  * Change library version
  * Imp: avoid processin 2 times museic files
  * Show duration in gui
  * Calc duration at the begining of the precess
  * Calc duration of MuseIC files on creation
  * Focus current file played onclick it's name in status labelº
  * Play/Pause on press space
* Tue Jan 30 2018 avvissu@yandex.by
- Update to 1.5.1:
  * Focus current file played onclick it's name in status labelº
  * Connect open signal
  * Update interface
  * Add searchbox to search anf queque files
  * Imp artist search: use search entry
  * Add search bar for artists
  * hange shown filelist onclick an artist
  * Show artists im a liststore in a popover
  * Max volume to 2
  * Remote info as Popover
  * Bugfix: copy correctlly filelist
* Tue Nov 28 2017 avvissu@yandex.by
- Update to 1.5.0:
  * Imp cmake_uninstall
  * IMP: allow navigate throug artist without changing stream
  * Add name to filelists
* Tue Nov 21 2017 avvissu@yandex.by
- Update to 1.4.0:
  * Update appdata
  * Update screemshoot
  * Continue playing on close window
  * Update css
  * Add css support
  * Use headerbar
* Tue Nov  7 2017 avvissu@yandex.by
- Initial package
